Summary: Lightweight Directory Access Protocol clients/servers
Name: ldap
Version: 3.3
Release: 2
Group: Networking
Source: ftp://terminator.rs.itd.umich.edu/ldap/ldap-3.3.tar.gz
Patch: ldap-3.3-bunchoffixes.patch
Patch1: ldap-3.3-ldapdsvr4.patch
Patch2: ldap-3.3-sigset.patch
Patch3: ldap-3.3-linux.patch
Copyright: Freely distributable
BuildRoot: /tmp/ldap-root
%changelog

* Wed Aug 13 1997 Corey Minyard <minyard@acm.org>

Fixed to install in a BuildRoot to make things a little cleaner.
Cleaned up the doc files some.
Split out a separate server RPM file.

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this requires the ISODE libraries to build and the slapd
interface to X.500 probably requires ISODE to be set up properly
to run.  This has not been tested.

%package devel
Summary: LDAP development files
Group: Development/Libraries
%description devel
Header files and libraries for developing applications that use LDAP.

%package servers
Summary: LDAP servers
Group: Networking
%description servers
The servers (daemons) that come with LDAP.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTROOT=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/rp500 \
$RPM_BUILD_ROOT/usr/bin/xrpcomp \
$RPM_BUILD_ROOT/usr/sbin/fax500 \
$RPM_BUILD_ROOT/usr/sbin/in.xfingerd \
$RPM_BUILD_ROOT/usr/sbin/go500 \
$RPM_BUILD_ROOT/usr/sbin/go500gw \
$RPM_BUILD_ROOT/usr/sbin/mail500 \
$RPM_BUILD_ROOT/usr/sbin/rcpt500 \
$RPM_BUILD_ROOT/usr/bin/ldapadd \
$RPM_BUILD_ROOT/usr/bin/ldapmodify \
$RPM_BUILD_ROOT/usr/bin/ldapsearch \
$RPM_BUILD_ROOT/usr/bin/ldapdelete \
$RPM_BUILD_ROOT/usr/bin/ldapmodrdn \
$RPM_BUILD_ROOT/usr/bin/ud \
$RPM_BUILD_ROOT/usr/sbin/slapd \
$RPM_BUILD_ROOT/usr/sbin/ldapd \
$RPM_BUILD_ROOT/usr/sbin/ldif2ldbm \
$RPM_BUILD_ROOT/usr/sbin/ldif2index \
$RPM_BUILD_ROOT/usr/sbin/ldif2id2entry \
$RPM_BUILD_ROOT/usr/sbin/ldif2id2children \
$RPM_BUILD_ROOT/usr/sbin/ldbmcat \
$RPM_BUILD_ROOT/usr/sbin/centipede \
$RPM_BUILD_ROOT/usr/sbin/ldbmtest \
$RPM_BUILD_ROOT/usr/sbin/ldif \
$RPM_BUILD_ROOT/usr/sbin/slurpd || :
echo localhost > $RPM_BUILD_ROOT/etc/ldapserver
:> $RPM_BUILD_ROOT/etc/defaultbase.ldap

%files
%doc ANNOUNCEMENT CHANGES COPYRIGHT INSTALL README
%doc doc/guides/guide.pdf doc/guides/guide.ps.Z doc/rfc/rfc*
%config /etc/ldapfilter.conf
%config /etc/ldapserver
%config /etc/defaultbase.ldap
%config /etc/ldapfriendly
%config /etc/ldaptemplates.conf
%config /etc/ldapsearchprefs.conf
/usr/bin/xrpcomp
/usr/lib/ldap
/usr/bin/ldapadd
/usr/bin/ldapmodify
/usr/bin/ldapsearch
/usr/bin/ldapdelete
/usr/bin/ldapmodrdn
/usr/bin/ud
/usr/man/man1/ldapdelete.1
/usr/man/man1/ldapmodify.1
/usr/man/man1/ldapadd.1
/usr/man/man1/ldapmodrdn.1
/usr/man/man1/ldapsearch.1
/usr/man/man1/ud.1
/usr/man/man5/ldapfilter.conf.5
/usr/man/man5/ldapfriendly.5
/usr/man/man5/ldapsearchprefs.conf.5
/usr/man/man5/ldaptemplates.conf.5
/usr/man/man5/ud.conf.5

%files devel
/usr/include/ldap.h
/usr/include/lber.h
/usr/include/proto-lber.h
/usr/include/proto-ldap.h
/usr/include/disptmpl.h
/usr/include/srchpref.h
/usr/lib/liblber.a
/usr/lib/libldap.a
/usr/man/man3/cldap_close.3
/usr/man/man3/cldap_open.3
/usr/man/man3/cldap_search_s.3
/usr/man/man3/cldap_setretryinfo.3
/usr/man/man3/lber-decode.3
/usr/man/man3/lber-encode.3
/usr/man/man3/ldap.3
/usr/man/man3/cldap.3
/usr/man/man3/ldap_abandon.3
/usr/man/man3/ldap_add.3
/usr/man/man3/ldap_add_s.3
/usr/man/man3/ldap_bind.3
/usr/man/man3/ldap_bind_s.3
/usr/man/man3/ldap_simple_bind.3
/usr/man/man3/ldap_simple_bind_s.3
/usr/man/man3/ldap_kerberos_bind_s.3
/usr/man/man3/ldap_kerberos_bind1.3
/usr/man/man3/ldap_kerberos_bind1_s.3
/usr/man/man3/ldap_kerberos_bind2.3
/usr/man/man3/ldap_kerberos_bind2_s.3
/usr/man/man3/ldap_unbind.3
/usr/man/man3/ldap_unbind_s.3
/usr/man/man3/ldap_set_rebind_proc.3
/usr/man/man3/ldap_cache.3
/usr/man/man3/ldap_enable_cache.3
/usr/man/man3/ldap_disable_cache.3
/usr/man/man3/ldap_destroy_cache.3
/usr/man/man3/ldap_flush_cache.3
/usr/man/man3/ldap_uncache_entry.3
/usr/man/man3/ldap_uncache_request.3
/usr/man/man3/ldap_set_cache_options.3
/usr/man/man3/ldap_charset.3
/usr/man/man3/ldap_set_string_translators.3
/usr/man/man3/ldap_enable_translation.3
/usr/man/man3/ldap_translate_from_t61.3
/usr/man/man3/ldap_translate_to_t61.3
/usr/man/man3/ldap_t61_to_8859.3
/usr/man/man3/ldap_8859_to_t61.3
/usr/man/man3/ldap_compare.3
/usr/man/man3/ldap_compare_s.3
/usr/man/man3/ldap_delete.3
/usr/man/man3/ldap_delete_s.3
/usr/man/man3/ldap_disptmpl.3
/usr/man/man3/ldap_init_templates.3
/usr/man/man3/ldap_init_templates_buf.3
/usr/man/man3/ldap_free_templates.3
/usr/man/man3/ldap_first_disptmpl.3
/usr/man/man3/ldap_next_disptmpl.3
/usr/man/man3/ldap_oc2template.3
/usr/man/man3/ldap_tmplattrs.3
/usr/man/man3/ldap_first_tmplrow.3
/usr/man/man3/ldap_next_tmplrow.3
/usr/man/man3/ldap_first_tmplcol.3
/usr/man/man3/ldap_next_tmplcol.3
/usr/man/man3/ldap_entry2text.3
/usr/man/man3/ldap_entry2text_search.3
/usr/man/man3/ldap_vals2text.3
/usr/man/man3/ldap_entry2html.3
/usr/man/man3/ldap_entry2html_search.3
/usr/man/man3/ldap_vals2html.3
/usr/man/man3/ldap_error.3
/usr/man/man3/ldap_perror.3
/usr/man/man3/ld_errno.3
/usr/man/man3/ldap_result2error.3
/usr/man/man3/ldap_errlist.3
/usr/man/man3/ldap_err2string.3
/usr/man/man3/ldap_first_attribute.3
/usr/man/man3/ldap_next_attribute.3
/usr/man/man3/ldap_first_entry.3
/usr/man/man3/ldap_next_entry.3
/usr/man/man3/ldap_count_entries.3
/usr/man/man3/ldap_friendly.3
/usr/man/man3/ldap_friendly_name.3
/usr/man/man3/ldap_free_friendlymap.3
/usr/man/man3/ldap_get_dn.3
/usr/man/man3/ldap_explode_dn.3
/usr/man/man3/ldap_explode_dns.3
/usr/man/man3/ldap_dn2ufn.3
/usr/man/man3/ldap_is_dns_dn.3
/usr/man/man3/ldap_get_values.3
/usr/man/man3/ldap_get_values_len.3
/usr/man/man3/ldap_value_free.3
/usr/man/man3/ldap_value_free_len.3
/usr/man/man3/ldap_count_values.3
/usr/man/man3/ldap_count_values_len.3
/usr/man/man3/ldap_getfilter.3
/usr/man/man3/ldap_init_getfilter.3
/usr/man/man3/ldap_init_getfilter_buf.3
/usr/man/man3/ldap_getfilter_free.3
/usr/man/man3/ldap_getfirstfilter.3
/usr/man/man3/ldap_getnextfilter.3
/usr/man/man3/ldap_setfilteraffixes.3
/usr/man/man3/ldap_build_filter.3
/usr/man/man3/ldap_modify.3
/usr/man/man3/ldap_modify_s.3
/usr/man/man3/ldap_mods_free.3
/usr/man/man3/ldap_modrdn.3
/usr/man/man3/ldap_open.3
/usr/man/man3/ldap_init.3
/usr/man/man3/ldap_result.3
/usr/man/man3/ldap_msgfree.3
/usr/man/man3/ldap_search.3
/usr/man/man3/ldap_search_s.3
/usr/man/man3/ldap_search_st.3
/usr/man/man3/ldap_searchprefs.3
/usr/man/man3/ldap_init_searchprefs.3
/usr/man/man3/ldap_init_searchprefs_buf.3
/usr/man/man3/ldap_free_searchprefs.3
/usr/man/man3/ldap_first_searchobj.3
/usr/man/man3/ldap_next_searchobj.3
/usr/man/man3/ldap_sort.3
/usr/man/man3/ldap_sort_entries.3
/usr/man/man3/ldap_sort_values.3
/usr/man/man3/ldap_sort_strcasecmp.3
/usr/man/man3/ldap_ufn.3
/usr/man/man3/ldap_ufn_search_s.3
/usr/man/man3/ldap_ufn_search_c.3
/usr/man/man3/ldap_ufn_search_ct.3
/usr/man/man3/ldap_ufn_setprefix.3
/usr/man/man3/ldap_ufn_setfilter.3
/usr/man/man3/ldap_ufn_timeout.3
/usr/man/man3/ldap_url.3
/usr/man/man3/ldap_is_ldap_url.3
/usr/man/man3/ldap_url_parse.3
/usr/man/man3/ldap_free_urldesc.3
/usr/man/man3/ldap_url_search.3
/usr/man/man3/ldap_url_search_s.3
/usr/man/man3/ldap_url_search_st.3
/usr/man/man3/regex.3

%files servers
/usr/sbin/rp500
/usr/sbin/fax500
/usr/sbin/in.xfingerd
/usr/sbin/go500
/usr/sbin/go500gw
/usr/sbin/mail500
/usr/sbin/rcpt500
%config /etc/slapd.conf
%config /etc/slapd.oc.conf
/usr/sbin/slapd
/usr/sbin/ldapd
/usr/sbin/edb2ldif
/usr/sbin/ldif2ldbm
/usr/sbin/ldif2index
/usr/sbin/ldif2id2entry
/usr/sbin/ldif2id2children
/usr/sbin/ldbmcat
/usr/sbin/centipede
/usr/sbin/ldbmtest
/usr/sbin/ldif
/usr/sbin/slurpd
/usr/man/man5/ldif.5
/usr/man/man5/slapd.conf.5
/usr/man/man5/slapd.replog.5
/usr/man/man8/centipede.8
/usr/man/man8/chlog2replog.8
/usr/man/man8/edb2ldif.8
/usr/man/man8/go500.8
/usr/man/man8/go500gw.8
/usr/man/man8/in.xfingerd.8
/usr/man/man8/ldapd.8
/usr/man/man8/ldbmcat.8
/usr/man/man8/ldif.8
/usr/man/man8/ldif2ldbm.8
/usr/man/man8/ldif2index.8
/usr/man/man8/ldif2id2entry.8
/usr/man/man8/ldif2id2children.8
/usr/man/man8/mail500.8
/usr/man/man8/fax500.8
/usr/man/man8/rcpt500.8
/usr/man/man8/slapd.8
/usr/man/man8/slurpd.8

